Delete Pending Paycheck Deductions
Deletes pending paycheck deductions in a batch.
Access control: All ids must reference pending paycheck deductions belonging to companies your integration has access to.
Error Details:
- 400 Bad Request — request body is empty, batch exceeds 500 items, or one or more ids do not exist or reference companies the user does not have access to
Authorization
XApiKey Your API key.
In: header
Query Parameters
API version
"3.0""3.0"Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X DELETE "https://external-app-prod.netchexonline.net/pending-paycheck-deductions?api-version=3.0" \ -H "Content-Type: application/json" \ -d '{}'{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string",
"property1": null,
"property2": null
}{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string",
"property1": null,
"property2": null
}{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string",
"property1": null,
"property2": null
}Delete Employee Scheduled Deductions DELETE
Deletes employee scheduled deductions in a batch. **Error Details:** - **400 Bad Request** — request body is empty or contains no IDs - **404 Not Found** — one or more EmployeeDeductionIds do not exist or reference deductions you do not have access to
Delete Pending Paycheck Earnings DELETE
Deletes pending paycheck earnings in a batch. **Access control:** All ids must reference pending paycheck earnings belonging to companies your integration has access to. **Error Details:** - **400 Bad Request** — request body is empty, batch exceeds 500 items, or one or more ids do not exist or reference companies the user does not have access to